Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(9)

Side by Side Diff: ssh_test.sh

Issue 6736023: Install test scripts into chroot. (Closed) Base URL: http://git.chromium.org/git/crostestutils.git@master
Patch Set: Remove vm scripts from makefile Created 9 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
« no previous file with comments | « run_remote_tests.sh ('k') | utils_py/cros_run_parallel_vm_tests.py » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
(Empty)
1 #!/bin/bash
2
3 # Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file.
6
7 # Run remote access test to ensure ssh access to a host is working. Exits with
8 # a code of 0 if successful and non-zero otherwise. Used by test infrastructure
9 # scripts.
10
11 . $(dirname "$(readlink -f "$0")")/outside_chroot_common.sh 2> /dev/null ||
12 SCRIPT_ROOT=/usr/lib/crosutils
13 . "${SCRIPT_ROOT}/common.sh" ||
14 (echo "Unable to load common.sh" && false) ||
15 exit 1
16 . "${SCRIPT_ROOT}/remote_access.sh" || die "Unable to load remote_access.sh"
17
18 function cleanup {
19 cleanup_remote_access
20 rm -rf "${TMP}"
21 }
22
23 function main() {
24 cd "${SCRIPTS_DIR}"
25
26 FLAGS "$@" || exit 1
27 eval set -- "${FLAGS_ARGV}"
28
29 set -e
30
31 trap cleanup EXIT
32
33 TMP=$(mktemp -d /tmp/ssh_test.XXXX)
34
35 remote_access_init
36 }
37
38 main $@
OLDNEW
« no previous file with comments | « run_remote_tests.sh ('k') | utils_py/cros_run_parallel_vm_tests.py » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698